Name:           python-xdot
Version:        0.5
Release:        3%{?dist}
Summary:        Interactive viewer for Graphviz dot files

# The file declares itself to be LGPLv3 or later at the top, but
# near the bottom is a large dict "brewer_colors" which is under
# "Apache-Style Software License for ColorBrewer software and ColorBrewer Color
# Schemes, Version 1.1"

License:        LGPLv3+ and ASL 1.1
URL:            https://pypi.python.org/pypi/xdot
Source0:        https://pypi.python.org/packages/source/x/xdot/xdot-0.5.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires: pygobject2
Requires: pygtk2
Requires: pycairo
Requires: graphviz


%description
xdot.py is an interactive viewer for graphs written in Graphviz's dot
language.

Internally it uses the graphviz's xdot output format as an intermediate
format, and PyGTK and Cairo for rendering.

xdot.py can be used either as a standalone application from command line
(as "xdot"), or as a library embedded in a python application.


%prep
%setup -q -n xdot-%{version}

# Strip the shebang from xdot.py to avoid an rpmlint warning:
sed '1{\@^#!/usr/bin/env python@d}' xdot.py > xdot.py.new &&
 touch -r xdot.py xdot.py.new &&
 mv xdot.py.new xdot.py

# Remove pre-built egg present in upstream tarball:
rm -rf xdot.egg-info


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc
%{_bindir}/xdot
%{python_sitelib}/xdot.py
%{python_sitelib}/xdot.py[co]
%{python_sitelib}/xdot-%{version}-py2.7.egg-info


%changelog
* Mon Sep 23 2013 David Malcolm <dmalcolm@redhat.com> - 0.5-3
- add BR on python-setuptools

* Mon Sep 23 2013 David Malcolm <dmalcolm@redhat.com> - 0.5-2
- drop redundant definition of python_sitelib macro
- convert BR from python-devel to python2-devel
- remove pre-built egg before building
- remove redundant clean of buildroot from install section

* Mon Aug 26 2013 David Malcolm <dmalcolm@redhat.com> - 0.5-1
- initial packaging
